Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class EmpiricalDistributionImpl.DataAdapter

    java.lang.Object
      org.apache.commons.math.random.EmpiricalDistributionImpl.DataAdapter

Direct Known Subclasses:
  EmpiricalDistributionImpl.ArrayDataAdapter, EmpiricalDistributionImpl.StreamDataAdapter

Enclosing class:
  EmpiricalDistributionImpl

    private abstract class EmpiricalDistributionImpl.DataAdapter

extends java.lang.Object

Provides methods for computing `sampleStats` and `beanStats` abstracting the source of data.

Constructor Summary
`private` | `EmpiricalDistributionImpl.DataAdapter()`

Method Summary
`abstract void` | `computeBinStats()` Compute bin stats.
`abstract void` | `computeStats()` Compute sample statistics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmpiricalDistributionImpl.DataAdapter

    private EmpiricalDistributionImpl.DataAdapter()

Method Detail

### computeBinStats

    public abstract void computeBinStats()
                                  throws java.io.IOException

  Compute bin stats.

  Throws:
    `java.io.IOException` - if an error occurs computing bin stats

### computeStats

    public abstract void computeStats()
                               throws java.io.IOException

  Compute sample statistics.

  Throws:
    `java.io.IOException` - if an error occurs computing sample stats

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation